<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Content Remove="wwwroot\css\laytpl-v1.1\demo.url" />
    <Content Remove="wwwroot\css\laytpl-v1.1\更新日志.txt" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="ScaffoldingReadMe.txt" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Bailun.ServiceFabric.Authorize" Version="1.0.3" />
    <PackageReference Include="Bailun.ServiceFabric.Core" Version="1.1.0" />
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="2.1.1" />
    <PackageReference Include="NPOI" Version="2.4.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Bailun.DC.Models\Bailun.DC.Models.csproj" />
    <ProjectReference Include="..\Bailun.DC.Services\Bailun.DC.Services.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Areas\Logistics\Data\" />
    <Folder Include="Areas\Logistics\Models\" />
    <Folder Include="Areas\Reports\Data\" />
    <Folder Include="Areas\Reports\Models\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="wwwroot\css\hplus\js\plugins\bootstrap-table\fixed-columns\bootstrap-table-fixed-columns.js" />
    <None Include="wwwroot\css\hplus\js\plugins\bootstrap-table\fixed-columns\bootstrap-table-fixed-columns.min.js" />
    <None Include="wwwroot\css\Layer-2.1\extend\layer.ext.js" />
    <None Include="wwwroot\css\Layer-2.1\layer.js" />
    <None Include="wwwroot\js\webuploader-0.1.5\Uploader.swf" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

</Project>
